From: zazuum <cviticivan@gmail.com>
Date: Fri, 12 Aug 2022 14:50:59 +0100
Subject: Removed xlsm files from the list due to dropped support from xlrd>=2

... that causes bug and interference with pyexcel-xlsx.

Origin: upstream, 6251ee5c714ab2d837727c5de24e9ba3415da02d
---
 pyexcel_xls/__init__.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/pyexcel_xls/__init__.py b/pyexcel_xls/__init__.py
index 35c2ed7..5c513bb 100644
--- a/pyexcel_xls/__init__.py
+++ b/pyexcel_xls/__init__.py
@@ -35,6 +35,7 @@ XLRD_VERSION_2_OR_ABOVE = xlrd_version_2_or_greater()
 supported_file_formats = [__FILE_TYPE__, "xlsx", "xlsm"]
 if XLRD_VERSION_2_OR_ABOVE:
     supported_file_formats.remove("xlsx")
+    supported_file_formats.remove("xlsm")
 
 
 IOPluginInfoChainV2(__name__).add_a_reader(
